Create a shipping zone (named country group)
POST
/admin/v1/shipping/zones
const url = 'https://your-store.example.com/admin/v1/shipping/zones';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","countries":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/admin/v1/shipping/zones \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "countries": [ "example" ] }'Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
countries
required
Array<string>
Example generated
{ "name": "example", "countries": [ "example" ]}